osl::eval::ml::PawnAdvance Class Reference

`#include <minorPiece.h>`

Inheritance diagram for osl::eval::ml::PawnAdvance:

## Public Types

enum | { DIM = 9 }

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const NumEffectState &state)
Static Public Member Functions inherited from osl::eval::ml::PawnAdvanceUtil
static int | index (Player P, Square pos)
static bool | cantAdvance (const NumEffectState &state, const Piece pawn)
static bool | cantAdvance (const NumEffectState &state, const PtypeO ptypeO, const Square position)

## Static Private Attributes

static CArray< MultiInt, 9 > | table

## Friends

struct | PawnAdvanceAll

## Detailed Description

Definition at line 527 of file minorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 530 of file minorPiece.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::PawnAdvance::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 221 of file minorPiece.cc.

References osl::BLACK, osl::eval::ml::PawnAdvanceUtil::cantAdvance(), osl::eval::ml::PawnAdvanceUtil::index(), osl::Piece::isOnBoard(), osl::Piece::isPromoted(), osl::Piece::owner(), osl::SimpleState::pieceOf(), osl::Piece::square(), table, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and PawnAdvanceAll.

## setUp()

void osl::eval::ml::PawnAdvance::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 213 of file minorPiece.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Friends And Related Symbol Documentation

## PawnAdvanceAll

friend struct PawnAdvanceAll

friend

Definition at line 533 of file minorPiece.h.

References eval(), and PawnAdvanceAll.

Referenced by PawnAdvanceAll.

## Member Data Documentation

## table

osl::CArray< osl::MultiInt, 9 > osl::eval::ml::PawnAdvance::table

static private

Definition at line 532 of file minorPiece.h.

Referenced by osl::eval::ml::PawnAdvanceAll::adjust(), eval(), and setUp().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc